# swagger_client.QueueApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_queue_by_customer_id**](QueueApi.md#delete_queue_by_customer_id) | **DELETE** /deleteQueueByCustomerId | Delete requests of a customer
[**delete_queue_bycompany_id**](QueueApi.md#delete_queue_bycompany_id) | **DELETE** /deleteQueueBycompanyId | Delete requests of a company
[**get_queue_bycompany_id**](QueueApi.md#get_queue_bycompany_id) | **GET** /getQueueBycompanyId | Get a customer’s queue
[**get_single_customer_queue**](QueueApi.md#get_single_customer_queue) | **GET** /getQueueByCustomerId | Get a customer’s queue


# **delete_queue_by_customer_id**
> delete_queue_by_customer_id(customerid)

Delete requests of a customer

Delete requests of a customer

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.QueueApi()
customerid = 'customerid_example' # str | Customer ID

try: 
    # Delete requests of a customer
    api_instance.delete_queue_by_customer_id(customerid)
except ApiException as e:
    print("Exception when calling QueueApi->delete_queue_by_customer_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **delete_queue_bycompany_id**
> delete_queue_bycompany_id(companyid)

Delete requests of a company

Delete requests of a company

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.QueueApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Delete requests of a company
    api_instance.delete_queue_bycompany_id(companyid)
except ApiException as e:
    print("Exception when calling QueueApi->delete_queue_bycompany_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_queue_bycompany_id**
> list[Queue] get_queue_bycompany_id(companyid)

Get a customer’s queue

Get a customer’s queue

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.QueueApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get a customer’s queue
    api_response = api_instance.get_queue_bycompany_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling QueueApi->get_queue_bycompany_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[Queue]**](Queue.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_single_customer_queue**
> list[Queue] get_single_customer_queue(customerid)

Get a customer’s queue

Get a customer’s queue

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.QueueApi()
customerid = 'customerid_example' # str | Customer ID

try: 
    # Get a customer’s queue
    api_response = api_instance.get_single_customer_queue(customerid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling QueueApi->get_single_customer_queue: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 

### Return type

[**list[Queue]**](Queue.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

