# swagger_client.RescheduleApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reschedule_customer_automatic**](RescheduleApi.md#reschedule_customer_automatic) | **POST** /rescheduleCustomerAutomatic | Reschedule Customer (Automatic)
[**reschedule_customer_immediate**](RescheduleApi.md#reschedule_customer_immediate) | **POST** /rescheduleCustomerImmediate | Reschedule Customer (Send right away)
[**reschedule_manual_one_review_request**](RescheduleApi.md#reschedule_manual_one_review_request) | **POST** /rescheduleManualOneReviewRequest | Reschedule Customer (Manual Schedule)


# **reschedule_customer_automatic**
> reschedule_customer_automatic(customerid, language)

Reschedule Customer (Automatic)

Reschedule Customer (Automatic) 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.RescheduleApi()
customerid = 'customerid_example' # str | Customer ID
language = 'language_example' # str | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 

try: 
    # Reschedule Customer (Automatic)
    api_instance.reschedule_customer_automatic(customerid, language)
except ApiException as e:
    print("Exception when calling RescheduleApi->reschedule_customer_automatic: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 
 **language** | **str**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reschedule_customer_immediate**
> reschedule_customer_immediate(customerid, language)

Reschedule Customer (Send right away)

Reschedule Customer (Send right away) 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.RescheduleApi()
customerid = 'customerid_example' # str | Customer ID
language = 'language_example' # str | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 

try: 
    # Reschedule Customer (Send right away)
    api_instance.reschedule_customer_immediate(customerid, language)
except ApiException as e:
    print("Exception when calling RescheduleApi->reschedule_customer_immediate: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 
 **language** | **str**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reschedule_manual_one_review_request**
> reschedule_manual_one_review_request(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber)

Reschedule Customer (Manual Schedule)

Reschedule Customer (Manual Schedule) 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.RescheduleApi()
customerid = 'customerid_example' # str | Customer ID
language = 'language_example' # str | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 
scheduledate = 'scheduledate_example' # str | Schedule date (yyyy/mm/dd) 
scheduletime = 'scheduletime_example' # str | Schedule time (HH:MM 24 hours format) 
emailnumber = '1' # str | Set which Email Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (default to 1)
smsnumber = '1' # str | Set which SMS Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (default to 1)

try: 
    # Reschedule Customer (Manual Schedule)
    api_instance.reschedule_manual_one_review_request(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber)
except ApiException as e:
    print("Exception when calling RescheduleApi->reschedule_manual_one_review_request: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 
 **language** | **str**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 
 **scheduledate** | **str**| Schedule date (yyyy/mm/dd)  | 
 **scheduletime** | **str**| Schedule time (HH:MM 24 hours format)  | 
 **emailnumber** | **str**| Set which Email Feedback / Requests will be sent (Allowed values: \&quot;1\&quot;, \&quot;2\&quot;, \&quot;3\&quot;)  | [default to 1]
 **smsnumber** | **str**| Set which SMS Feedback / Requests will be sent (Allowed values: \&quot;1\&quot;, \&quot;2\&quot;, \&quot;3\&quot;)  | [default to 1]

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

