# swagger_client.ReviewsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_reviews_by_company_id**](ReviewsApi.md#get_reviews_by_company_id) | **GET** /getReviewsByCompanyID | Get X last reviews less than X days old of a company
[**get_reviews_by_company_id_and_rating**](ReviewsApi.md#get_reviews_by_company_id_and_rating) | **GET** /getReviewsByCompanyIdAndRating | Get X last reviews that equal or over X stars of a company
[**get_reviews_by_company_id_and_review_site**](ReviewsApi.md#get_reviews_by_company_id_and_review_site) | **GET** /getReviewsByCompanyIDAndReviewSite | Get X last reviews less than X days old of a review site of a company
[**get_reviews_by_company_id_rating_and_review_site**](ReviewsApi.md#get_reviews_by_company_id_rating_and_review_site) | **GET** /getReviewsByCompanyIDRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of a company
[**get_reviews_by_user_name**](ReviewsApi.md#get_reviews_by_user_name) | **GET** /getReviewsByUserName | Get X last reviews less than X days old of an account
[**get_reviews_by_user_name_and_rating**](ReviewsApi.md#get_reviews_by_user_name_and_rating) | **GET** /getReviewsByUserNameAndRating | Get X last reviews that equal or over X stars of an account
[**get_reviews_by_user_name_and_review_site**](ReviewsApi.md#get_reviews_by_user_name_and_review_site) | **GET** /getReviewsByUserNameAndReviewSite | Get X last reviews less than X days old of a review site of an account
[**get_reviews_by_user_name_rating_and_review_site**](ReviewsApi.md#get_reviews_by_user_name_rating_and_review_site) | **GET** /getReviewsByUserNameRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of an account
[**post_comment_on_review**](ReviewsApi.md#post_comment_on_review) | **POST** /postCommentOnReview | Comment on a Feedback / Review


# **get_reviews_by_company_id**
> list[Review] get_reviews_by_company_id(companyid, how_many_reviews, last_how_many_days)

Get X last reviews less than X days old of a company

Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
companyid = 'companyid_example' # str | Company ID
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back

try: 
    # Get X last reviews less than X days old of a company
    api_response = api_instance.get_reviews_by_company_id(companyid, how_many_reviews, last_how_many_days)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_company_id_and_rating**
> list[Review] get_reviews_by_company_id_and_rating(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings)

Get X last reviews that equal or over X stars of a company

Get X last reviews that between X stars (For example, last 50 reviews between 2 to 5 stars)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
companyid = 'companyid_example' # str | Company ID
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back
minimum_ratings = 'minimum_ratings_example' # str | Minimum review rating (reviews that are equal or over minimumRatings stars)
maximum_ratings = 'maximum_ratings_example' # str | Maximum review rating

try: 
    # Get X last reviews that equal or over X stars of a company
    api_response = api_instance.get_reviews_by_company_id_and_rating(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_company_id_and_rating: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 
 **minimum_ratings** | **str**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **maximum_ratings** | **str**| Maximum review rating | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_company_id_and_review_site**
> list[Review] get_reviews_by_company_id_and_review_site(companyid, how_many_reviews, last_how_many_days, reviews_site)

Get X last reviews less than X days old of a review site of a company

Get X last reviews less than X days old of a review site (For example, Google reviews…)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
companyid = 'companyid_example' # str | Company ID
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back
reviews_site = 'reviews_site_example' # str | Review site name

try: 
    # Get X last reviews less than X days old of a review site of a company
    api_response = api_instance.get_reviews_by_company_id_and_review_site(companyid, how_many_reviews, last_how_many_days, reviews_site)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_company_id_and_review_site: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 
 **reviews_site** | **str**| Review site name | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_company_id_rating_and_review_site**
> list[Review] get_reviews_by_company_id_rating_and_review_site(companyid, how_many_reviews, minimum_ratings, reviews_site)

Get X last reviews that equal or over X stars of a review site of a company

Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
companyid = 'companyid_example' # str | Company ID
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
minimum_ratings = 'minimum_ratings_example' # str | Minimum review rating (reviews that are equal or over minimumRatings stars)
reviews_site = 'reviews_site_example' # str | Review site name

try: 
    # Get X last reviews that equal or over X stars of a review site of a company
    api_response = api_instance.get_reviews_by_company_id_rating_and_review_site(companyid, how_many_reviews, minimum_ratings, reviews_site)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_company_id_rating_and_review_site: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 
 **how_many_reviews** | **str**| How many reviews | 
 **minimum_ratings** | **str**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **reviews_site** | **str**| Review site name | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_user_name**
> list[Review] get_reviews_by_user_name(username, how_many_reviews, last_how_many_days)

Get X last reviews less than X days old of an account

Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
username = 'username_example' # str | User Name or Email address
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back

try: 
    # Get X last reviews less than X days old of an account
    api_response = api_instance.get_reviews_by_user_name(username, how_many_reviews, last_how_many_days)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_user_name: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**| User Name or Email address | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_user_name_and_rating**
> list[Review] get_reviews_by_user_name_and_rating(username, how_many_reviews, last_how_many_days, minimum_ratings)

Get X last reviews that equal or over X stars of an account

Get X last reviews that equal or over X stars (For example, last 50 reviews that are equal or over 4 stars)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
username = 'username_example' # str | User Name or Email address
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back
minimum_ratings = 'minimum_ratings_example' # str | Minimum review rating (reviews that are equal or over minimumRatings stars)

try: 
    # Get X last reviews that equal or over X stars of an account
    api_response = api_instance.get_reviews_by_user_name_and_rating(username, how_many_reviews, last_how_many_days, minimum_ratings)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_user_name_and_rating: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**| User Name or Email address | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 
 **minimum_ratings** | **str**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_user_name_and_review_site**
> list[Review] get_reviews_by_user_name_and_review_site(username, how_many_reviews, last_how_many_days, reviews_site)

Get X last reviews less than X days old of a review site of an account

Get X last reviews less than X days old of a review site (For Example, Google reviews…)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
username = 'username_example' # str | User Name or Email address
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
last_how_many_days = 'last_how_many_days_example' # str | How many days back
reviews_site = 'reviews_site_example' # str | Review site name

try: 
    # Get X last reviews less than X days old of a review site of an account
    api_response = api_instance.get_reviews_by_user_name_and_review_site(username, how_many_reviews, last_how_many_days, reviews_site)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_user_name_and_review_site: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**| User Name or Email address | 
 **how_many_reviews** | **str**| How many reviews | 
 **last_how_many_days** | **str**| How many days back | 
 **reviews_site** | **str**| Review site name | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_reviews_by_user_name_rating_and_review_site**
> list[Review] get_reviews_by_user_name_rating_and_review_site(username, how_many_reviews, minimum_ratings, reviews_site)

Get X last reviews that equal or over X stars of a review site of an account

Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
username = 'username_example' # str | User Name or Email address
how_many_reviews = 'how_many_reviews_example' # str | How many reviews
minimum_ratings = 'minimum_ratings_example' # str | Minimum review rating (reviews that are equal or over minimumRatings stars)
reviews_site = 'reviews_site_example' # str | Review site name

try: 
    # Get X last reviews that equal or over X stars of a review site of an account
    api_response = api_instance.get_reviews_by_user_name_rating_and_review_site(username, how_many_reviews, minimum_ratings, reviews_site)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsApi->get_reviews_by_user_name_rating_and_review_site: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**| User Name or Email address | 
 **how_many_reviews** | **str**| How many reviews | 
 **minimum_ratings** | **str**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **reviews_site** | **str**| Review site name | 

### Return type

[**list[Review]**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **post_comment_on_review**
> post_comment_on_review(reviewid, commenttext)

Comment on a Feedback / Review

This API call posts a Comment on a Feedback / Review. When posted, the Platform sends an Email to the Commenter / Reviewer with a copy of the posted Comment. NOTE: The Moderation Team receives a copy of the Email sent to the Commenter / Reviewer  The API call has the same effect as using the Reputation Control Center (URL: https://reputationcrm.com/reputation-control), locating in the datatable the Feedback / Review that will be commented, and clicking on the 'Comment on the Platform' button to leave a Comment  Please refer https://reputationcrm.com/api/repcrm-api-img/CommentOnReview.jpg for more information 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsApi()
reviewid = 'reviewid_example' # str | Review ID
commenttext = 'commenttext_example' # str | Comment Text 

try: 
    # Comment on a Feedback / Review
    api_instance.post_comment_on_review(reviewid, commenttext)
except ApiException as e:
    print("Exception when calling ReviewsApi->post_comment_on_review: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reviewid** | **str**| Review ID | 
 **commenttext** | **str**| Comment Text  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

