# swagger_client.ReviewsStatsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_number_of_reviews_posted_in_last_days_by_company_id**](ReviewsStatsApi.md#get_number_of_reviews_posted_in_last_days_by_company_id) | **GET** /getNumberOfReviewsPostedInLastDaysByCompanyId | Get total reviews received for each review site
[**get_number_of_reviews_required_to_achieve5_star_by_company_id**](ReviewsStatsApi.md#get_number_of_reviews_required_to_achieve5_star_by_company_id) | **GET** /getNumberOfReviewsRequiredToAchieve5StarByCompanyId | Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
[**get_overall_rating_and_review_count_for_platform_reviews_by_company_id**](ReviewsStatsApi.md#get_overall_rating_and_review_count_for_platform_reviews_by_company_id) | **GET** /getOverallRatingAndReviewCountForPlatformReviewsByCompanyId | Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
[**get_overall_rating_for_each_review_site_by_company_id**](ReviewsStatsApi.md#get_overall_rating_for_each_review_site_by_company_id) | **GET** /getOverallRatingForEachReviewSiteByCompanyId | Get overall rating for each review site
[**get_overall_rating_of_company_by_company_id**](ReviewsStatsApi.md#get_overall_rating_of_company_by_company_id) | **GET** /getOverallRatingOfCompanyByCompanyId | Get The Overall Rating of a Company / Location / Feedback Page 
[**get_overall_reputation_change_of_all_review_sites_by_company_id**](ReviewsStatsApi.md#get_overall_reputation_change_of_all_review_sites_by_company_id) | **GET** /getOverallReputationChangeOfAllReviewSitesByCompanyId | Get the Overall Reputation Increase / Decrease of ALL Review Sites 
[**get_total_reviews_received_for_each_review_site_by_company_id**](ReviewsStatsApi.md#get_total_reviews_received_for_each_review_site_by_company_id) | **GET** /getTotalReviewsReceivedForEachReviewSiteByCompanyId | Get total reviews received for each review site


# **get_number_of_reviews_posted_in_last_days_by_company_id**
> list[ReviewSitesReviewCount] get_number_of_reviews_posted_in_last_days_by_company_id(companyid, last_how_many_days)

Get total reviews received for each review site

Get total reviews received for each review site

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID
last_how_many_days = 'last_how_many_days_example' # str | Last how many days

try: 
    # Get total reviews received for each review site
    api_response = api_instance.get_number_of_reviews_posted_in_last_days_by_company_id(companyid, last_how_many_days)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_number_of_reviews_posted_in_last_days_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 
 **last_how_many_days** | **str**| Last how many days | 

### Return type

[**list[ReviewSitesReviewCount]**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_number_of_reviews_required_to_achieve5_star_by_company_id**
> list[ReviewSitesReviewCount] get_number_of_reviews_required_to_achieve5_star_by_company_id(companyid)

Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 

This API call returns for each Review Site of a Company / Location / Feedback Page, the total number of 5-star Feedback / Reviews that the Company / Location needs, to achieve a 5-star Customer Experience. (NOTE: Most Review Sites display a 5-star image when the Overall Rating of a Company / Location is above 4.51. We decided to work as they do and we display a 5-star image for any Overall Rating above 4.51). URL: https://reputationcrm.com/reputation-control    Please refer this image for more information   https://reputationcrm.com/api/repcrm-api-img/NumberOfReviewsRequiredToAchieve5Star.jpg 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
    api_response = api_instance.get_number_of_reviews_required_to_achieve5_star_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_number_of_reviews_required_to_achieve5_star_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[ReviewSitesReviewCount]**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_overall_rating_and_review_count_for_platform_reviews_by_company_id**
> list[OverallRatingAndReviewCount] get_overall_rating_and_review_count_for_platform_reviews_by_company_id(companyid)

Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  

Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews. The number (from 1.00 to 5.00) includes only platform collected reviews.

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
    api_response = api_instance.get_overall_rating_and_review_count_for_platform_reviews_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_overall_rating_and_review_count_for_platform_reviews_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[OverallRatingAndReviewCount]**](OverallRatingAndReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_overall_rating_for_each_review_site_by_company_id**
> list[ReviewSitesRating] get_overall_rating_for_each_review_site_by_company_id(companyid)

Get overall rating for each review site

Get overall rating for each review site

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get overall rating for each review site
    api_response = api_instance.get_overall_rating_for_each_review_site_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_overall_rating_for_each_review_site_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[ReviewSitesRating]**](ReviewSitesRating.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_overall_rating_of_company_by_company_id**
> list[OverallCompanyRating] get_overall_rating_of_company_by_company_id(companyid)

Get The Overall Rating of a Company / Location / Feedback Page 

This API call returns the Overall Rating of a Company / Location / Feedback Page. The number (from 1.00 to 5.00) includes all Feedback / Reviews of a Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control    Please refer https://reputationcrm.com/api/repcrm-api-img/OverallCompanyRating.jpg for more information 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get The Overall Rating of a Company / Location / Feedback Page 
    api_response = api_instance.get_overall_rating_of_company_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_overall_rating_of_company_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[OverallCompanyRating]**](OverallCompanyRating.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_overall_reputation_change_of_all_review_sites_by_company_id**
> list[ReviewSitesReputationChange] get_overall_reputation_change_of_all_review_sites_by_company_id(companyid)

Get the Overall Reputation Increase / Decrease of ALL Review Sites 

This API call returns for each Review Site of a Company / Location / Feedback Page, the Overall Reputation Increase / Decrease of the last 30 days compared to the previous month (31-60 days). 0 means no change: most likely, no new Feedback / Reviews were posted in the past 60 days, or the same number of Feedback / Reviews were posted in the last 30 days compared to the last 31-60 days period. A negative percentage means that the Overall Reputation has suffered. Finally, a positive percentage means an improvement in the Overall Reputation of the Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control     Please refer https://reputationcrm.com/api/repcrm-api-img/ReputationChangeInTheLastMonth.jpg for more information 

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get the Overall Reputation Increase / Decrease of ALL Review Sites 
    api_response = api_instance.get_overall_reputation_change_of_all_review_sites_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_overall_reputation_change_of_all_review_sites_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[ReviewSitesReputationChange]**](ReviewSitesReputationChange.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_total_reviews_received_for_each_review_site_by_company_id**
> list[ReviewSitesReviewCount] get_total_reviews_received_for_each_review_site_by_company_id(companyid)

Get total reviews received for each review site

Get total reviews received for each review site

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewsStatsApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get total reviews received for each review site
    api_response = api_instance.get_total_reviews_received_for_each_review_site_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewsStatsApi->get_total_reviews_received_for_each_review_site_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[ReviewSitesReviewCount]**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

