# swagger_client.SentLogApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_sent_log_by_company_id**](SentLogApi.md#get_sent_log_by_company_id) | **GET** /getSentLogByCompanyId | Get company&#39;s sent log
[**get_sent_log_by_customer_id**](SentLogApi.md#get_sent_log_by_customer_id) | **GET** /getSentLogByCustomerId | Get a customer’s sent log


# **get_sent_log_by_company_id**
> list[SentLog] get_sent_log_by_company_id(companyid)

Get company's sent log

Get company's sent log

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.SentLogApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get company's sent log
    api_response = api_instance.get_sent_log_by_company_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SentLogApi->get_sent_log_by_company_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[SentLog]**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_sent_log_by_customer_id**
> list[SentLog] get_sent_log_by_customer_id(customerid)

Get a customer’s sent log

Get a customer’s sent log

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.SentLogApi()
customerid = 'customerid_example' # str | Customer ID

try: 
    # Get a customer’s sent log
    api_response = api_instance.get_sent_log_by_customer_id(customerid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SentLogApi->get_sent_log_by_customer_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **str**| Customer ID | 

### Return type

[**list[SentLog]**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

