# coding: utf-8

"""
    Reputation CRM API

    Move your app forward with the Reputation CRM API  To get your `API key`, visit [Reputation CRM](https://reputationcrm.com/settings/index/Reputation-Builder)  Your API Key can be found in Settings -> Reputation Builder -> Reputation Builder -> API Tab   [Download API SDK](https://reputationcrm.com/developers/documentation/v2/downloads)  [API Explorer](https://reputationcrm.com/developers/documentation/v2/explorer/) 

    OpenAPI spec version: 2.0.0
    Contact: support@reputationcrm.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class QueueApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def delete_queue_by_customer_id(self, customerid, **kwargs):
        """
        Delete requests of a customer
        Delete requests of a customer
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue_by_customer_id(customerid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_queue_by_customer_id_with_http_info(customerid, **kwargs)
        else:
            (data) = self.delete_queue_by_customer_id_with_http_info(customerid, **kwargs)
            return data

    def delete_queue_by_customer_id_with_http_info(self, customerid, **kwargs):
        """
        Delete requests of a customer
        Delete requests of a customer
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue_by_customer_id_with_http_info(customerid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['customerid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_queue_by_customer_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'customerid' is set
        if ('customerid' not in params) or (params['customerid'] is None):
            raise ValueError("Missing the required parameter `customerid` when calling `delete_queue_by_customer_id`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'customerid' in params:
            form_params.append(('customerid', params['customerid']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/deleteQueueByCustomerId', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_queue_bycompany_id(self, companyid, **kwargs):
        """
        Delete requests of a company
        Delete requests of a company
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue_bycompany_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_queue_bycompany_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.delete_queue_bycompany_id_with_http_info(companyid, **kwargs)
            return data

    def delete_queue_bycompany_id_with_http_info(self, companyid, **kwargs):
        """
        Delete requests of a company
        Delete requests of a company
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue_bycompany_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_queue_bycompany_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `delete_queue_bycompany_id`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'companyid' in params:
            form_params.append(('companyid', params['companyid']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/deleteQueueBycompanyId', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_queue_bycompany_id(self, companyid, **kwargs):
        """
        Get a customer’s queue
        Get a customer’s queue
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_queue_bycompany_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[Queue]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_queue_bycompany_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_queue_bycompany_id_with_http_info(companyid, **kwargs)
            return data

    def get_queue_bycompany_id_with_http_info(self, companyid, **kwargs):
        """
        Get a customer’s queue
        Get a customer’s queue
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_queue_bycompany_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[Queue]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_queue_bycompany_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_queue_bycompany_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getQueueBycompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Queue]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_single_customer_queue(self, customerid, **kwargs):
        """
        Get a customer’s queue
        Get a customer’s queue
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_single_customer_queue(customerid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :return: list[Queue]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_single_customer_queue_with_http_info(customerid, **kwargs)
        else:
            (data) = self.get_single_customer_queue_with_http_info(customerid, **kwargs)
            return data

    def get_single_customer_queue_with_http_info(self, customerid, **kwargs):
        """
        Get a customer’s queue
        Get a customer’s queue
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_single_customer_queue_with_http_info(customerid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :return: list[Queue]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['customerid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_single_customer_queue" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'customerid' is set
        if ('customerid' not in params) or (params['customerid'] is None):
            raise ValueError("Missing the required parameter `customerid` when calling `get_single_customer_queue`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'customerid' in params:
            query_params.append(('customerid', params['customerid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getQueueByCustomerId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Queue]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)
