# coding: utf-8

"""
    Reputation CRM API

    Move your app forward with the Reputation CRM API  To get your `API key`, visit [Reputation CRM](https://reputationcrm.com/settings/index/Reputation-Builder)  Your API Key can be found in Settings -> Reputation Builder -> Reputation Builder -> API Tab   [Download API SDK](https://reputationcrm.com/developers/documentation/v2/downloads)  [API Explorer](https://reputationcrm.com/developers/documentation/v2/explorer/) 

    OpenAPI spec version: 2.0.0
    Contact: support@reputationcrm.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class RescheduleApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def reschedule_customer_automatic(self, customerid, language, **kwargs):
        """
        Reschedule Customer (Automatic)
        Reschedule Customer (Automatic) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_customer_automatic(customerid, language, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.reschedule_customer_automatic_with_http_info(customerid, language, **kwargs)
        else:
            (data) = self.reschedule_customer_automatic_with_http_info(customerid, language, **kwargs)
            return data

    def reschedule_customer_automatic_with_http_info(self, customerid, language, **kwargs):
        """
        Reschedule Customer (Automatic)
        Reschedule Customer (Automatic) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_customer_automatic_with_http_info(customerid, language, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['customerid', 'language']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method reschedule_customer_automatic" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'customerid' is set
        if ('customerid' not in params) or (params['customerid'] is None):
            raise ValueError("Missing the required parameter `customerid` when calling `reschedule_customer_automatic`")
        # verify the required parameter 'language' is set
        if ('language' not in params) or (params['language'] is None):
            raise ValueError("Missing the required parameter `language` when calling `reschedule_customer_automatic`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'customerid' in params:
            form_params.append(('customerid', params['customerid']))
        if 'language' in params:
            form_params.append(('language', params['language']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/rescheduleCustomerAutomatic', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def reschedule_customer_immediate(self, customerid, language, **kwargs):
        """
        Reschedule Customer (Send right away)
        Reschedule Customer (Send right away) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_customer_immediate(customerid, language, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.reschedule_customer_immediate_with_http_info(customerid, language, **kwargs)
        else:
            (data) = self.reschedule_customer_immediate_with_http_info(customerid, language, **kwargs)
            return data

    def reschedule_customer_immediate_with_http_info(self, customerid, language, **kwargs):
        """
        Reschedule Customer (Send right away)
        Reschedule Customer (Send right away) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_customer_immediate_with_http_info(customerid, language, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['customerid', 'language']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method reschedule_customer_immediate" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'customerid' is set
        if ('customerid' not in params) or (params['customerid'] is None):
            raise ValueError("Missing the required parameter `customerid` when calling `reschedule_customer_immediate`")
        # verify the required parameter 'language' is set
        if ('language' not in params) or (params['language'] is None):
            raise ValueError("Missing the required parameter `language` when calling `reschedule_customer_immediate`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'customerid' in params:
            form_params.append(('customerid', params['customerid']))
        if 'language' in params:
            form_params.append(('language', params['language']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/rescheduleCustomerImmediate', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def reschedule_manual_one_review_request(self, customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, **kwargs):
        """
        Reschedule Customer (Manual Schedule)
        Reschedule Customer (Manual Schedule) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_manual_one_review_request(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :param str scheduledate: Schedule date (yyyy/mm/dd)  (required)
        :param str scheduletime: Schedule time (HH:MM 24 hours format)  (required)
        :param str emailnumber: Set which Email Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (required)
        :param str smsnumber: Set which SMS Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.reschedule_manual_one_review_request_with_http_info(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, **kwargs)
        else:
            (data) = self.reschedule_manual_one_review_request_with_http_info(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, **kwargs)
            return data

    def reschedule_manual_one_review_request_with_http_info(self, customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, **kwargs):
        """
        Reschedule Customer (Manual Schedule)
        Reschedule Customer (Manual Schedule) 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.reschedule_manual_one_review_request_with_http_info(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str customerid: Customer ID (required)
        :param str language: Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (required)
        :param str scheduledate: Schedule date (yyyy/mm/dd)  (required)
        :param str scheduletime: Schedule time (HH:MM 24 hours format)  (required)
        :param str emailnumber: Set which Email Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (required)
        :param str smsnumber: Set which SMS Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['customerid', 'language', 'scheduledate', 'scheduletime', 'emailnumber', 'smsnumber']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method reschedule_manual_one_review_request" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'customerid' is set
        if ('customerid' not in params) or (params['customerid'] is None):
            raise ValueError("Missing the required parameter `customerid` when calling `reschedule_manual_one_review_request`")
        # verify the required parameter 'language' is set
        if ('language' not in params) or (params['language'] is None):
            raise ValueError("Missing the required parameter `language` when calling `reschedule_manual_one_review_request`")
        # verify the required parameter 'scheduledate' is set
        if ('scheduledate' not in params) or (params['scheduledate'] is None):
            raise ValueError("Missing the required parameter `scheduledate` when calling `reschedule_manual_one_review_request`")
        # verify the required parameter 'scheduletime' is set
        if ('scheduletime' not in params) or (params['scheduletime'] is None):
            raise ValueError("Missing the required parameter `scheduletime` when calling `reschedule_manual_one_review_request`")
        # verify the required parameter 'emailnumber' is set
        if ('emailnumber' not in params) or (params['emailnumber'] is None):
            raise ValueError("Missing the required parameter `emailnumber` when calling `reschedule_manual_one_review_request`")
        # verify the required parameter 'smsnumber' is set
        if ('smsnumber' not in params) or (params['smsnumber'] is None):
            raise ValueError("Missing the required parameter `smsnumber` when calling `reschedule_manual_one_review_request`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'customerid' in params:
            form_params.append(('customerid', params['customerid']))
        if 'language' in params:
            form_params.append(('language', params['language']))
        if 'scheduledate' in params:
            form_params.append(('scheduledate', params['scheduledate']))
        if 'scheduletime' in params:
            form_params.append(('scheduletime', params['scheduletime']))
        if 'emailnumber' in params:
            form_params.append(('emailnumber', params['emailnumber']))
        if 'smsnumber' in params:
            form_params.append(('smsnumber', params['smsnumber']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/rescheduleManualOneReviewRequest', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)
