# coding: utf-8

"""
    Reputation CRM API

    Move your app forward with the Reputation CRM API  To get your `API key`, visit [Reputation CRM](https://reputationcrm.com/settings/index/Reputation-Builder)  Your API Key can be found in Settings -> Reputation Builder -> Reputation Builder -> API Tab   [Download API SDK](https://reputationcrm.com/developers/documentation/v2/downloads)  [API Explorer](https://reputationcrm.com/developers/documentation/v2/explorer/) 

    OpenAPI spec version: 2.0.0
    Contact: support@reputationcrm.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class ReviewsApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def get_reviews_by_company_id(self, companyid, how_many_reviews, last_how_many_days, **kwargs):
        """
        Get X last reviews less than X days old of a company
        Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id(companyid, how_many_reviews, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_company_id_with_http_info(companyid, how_many_reviews, last_how_many_days, **kwargs)
        else:
            (data) = self.get_reviews_by_company_id_with_http_info(companyid, how_many_reviews, last_how_many_days, **kwargs)
            return data

    def get_reviews_by_company_id_with_http_info(self, companyid, how_many_reviews, last_how_many_days, **kwargs):
        """
        Get X last reviews less than X days old of a company
        Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_with_http_info(companyid, how_many_reviews, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid', 'how_many_reviews', 'last_how_many_days']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_reviews_by_company_id`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_company_id`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByCompanyID', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_company_id_and_rating(self, companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, **kwargs):
        """
        Get X last reviews that equal or over X stars of a company
        Get X last reviews that between X stars (For example, last 50 reviews between 2 to 5 stars)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_and_rating(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str maximum_ratings: Maximum review rating (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_company_id_and_rating_with_http_info(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, **kwargs)
        else:
            (data) = self.get_reviews_by_company_id_and_rating_with_http_info(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, **kwargs)
            return data

    def get_reviews_by_company_id_and_rating_with_http_info(self, companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, **kwargs):
        """
        Get X last reviews that equal or over X stars of a company
        Get X last reviews that between X stars (For example, last 50 reviews between 2 to 5 stars)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_and_rating_with_http_info(companyid, how_many_reviews, last_how_many_days, minimum_ratings, maximum_ratings, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str maximum_ratings: Maximum review rating (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid', 'how_many_reviews', 'last_how_many_days', 'minimum_ratings', 'maximum_ratings']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_company_id_and_rating" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_reviews_by_company_id_and_rating`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_company_id_and_rating`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_company_id_and_rating`")
        # verify the required parameter 'minimum_ratings' is set
        if ('minimum_ratings' not in params) or (params['minimum_ratings'] is None):
            raise ValueError("Missing the required parameter `minimum_ratings` when calling `get_reviews_by_company_id_and_rating`")
        # verify the required parameter 'maximum_ratings' is set
        if ('maximum_ratings' not in params) or (params['maximum_ratings'] is None):
            raise ValueError("Missing the required parameter `maximum_ratings` when calling `get_reviews_by_company_id_and_rating`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))
        if 'minimum_ratings' in params:
            query_params.append(('minimumRatings', params['minimum_ratings']))
        if 'maximum_ratings' in params:
            query_params.append(('maximumRatings', params['maximum_ratings']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByCompanyIdAndRating', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_company_id_and_review_site(self, companyid, how_many_reviews, last_how_many_days, reviews_site, **kwargs):
        """
        Get X last reviews less than X days old of a review site of a company
        Get X last reviews less than X days old of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_and_review_site(companyid, how_many_reviews, last_how_many_days, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_company_id_and_review_site_with_http_info(companyid, how_many_reviews, last_how_many_days, reviews_site, **kwargs)
        else:
            (data) = self.get_reviews_by_company_id_and_review_site_with_http_info(companyid, how_many_reviews, last_how_many_days, reviews_site, **kwargs)
            return data

    def get_reviews_by_company_id_and_review_site_with_http_info(self, companyid, how_many_reviews, last_how_many_days, reviews_site, **kwargs):
        """
        Get X last reviews less than X days old of a review site of a company
        Get X last reviews less than X days old of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_and_review_site_with_http_info(companyid, how_many_reviews, last_how_many_days, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid', 'how_many_reviews', 'last_how_many_days', 'reviews_site']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_company_id_and_review_site" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_reviews_by_company_id_and_review_site`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_company_id_and_review_site`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_company_id_and_review_site`")
        # verify the required parameter 'reviews_site' is set
        if ('reviews_site' not in params) or (params['reviews_site'] is None):
            raise ValueError("Missing the required parameter `reviews_site` when calling `get_reviews_by_company_id_and_review_site`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))
        if 'reviews_site' in params:
            query_params.append(('reviewsSite', params['reviews_site']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByCompanyIDAndReviewSite', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_company_id_rating_and_review_site(self, companyid, how_many_reviews, minimum_ratings, reviews_site, **kwargs):
        """
        Get X last reviews that equal or over X stars of a review site of a company
        Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_rating_and_review_site(companyid, how_many_reviews, minimum_ratings, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_company_id_rating_and_review_site_with_http_info(companyid, how_many_reviews, minimum_ratings, reviews_site, **kwargs)
        else:
            (data) = self.get_reviews_by_company_id_rating_and_review_site_with_http_info(companyid, how_many_reviews, minimum_ratings, reviews_site, **kwargs)
            return data

    def get_reviews_by_company_id_rating_and_review_site_with_http_info(self, companyid, how_many_reviews, minimum_ratings, reviews_site, **kwargs):
        """
        Get X last reviews that equal or over X stars of a review site of a company
        Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_company_id_rating_and_review_site_with_http_info(companyid, how_many_reviews, minimum_ratings, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str how_many_reviews: How many reviews (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid', 'how_many_reviews', 'minimum_ratings', 'reviews_site']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_company_id_rating_and_review_site" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_reviews_by_company_id_rating_and_review_site`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_company_id_rating_and_review_site`")
        # verify the required parameter 'minimum_ratings' is set
        if ('minimum_ratings' not in params) or (params['minimum_ratings'] is None):
            raise ValueError("Missing the required parameter `minimum_ratings` when calling `get_reviews_by_company_id_rating_and_review_site`")
        # verify the required parameter 'reviews_site' is set
        if ('reviews_site' not in params) or (params['reviews_site'] is None):
            raise ValueError("Missing the required parameter `reviews_site` when calling `get_reviews_by_company_id_rating_and_review_site`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'minimum_ratings' in params:
            query_params.append(('minimumRatings', params['minimum_ratings']))
        if 'reviews_site' in params:
            query_params.append(('reviewsSite', params['reviews_site']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByCompanyIDRatingAndReviewSite', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_user_name(self, username, how_many_reviews, last_how_many_days, **kwargs):
        """
        Get X last reviews less than X days old of an account
        Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name(username, how_many_reviews, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_user_name_with_http_info(username, how_many_reviews, last_how_many_days, **kwargs)
        else:
            (data) = self.get_reviews_by_user_name_with_http_info(username, how_many_reviews, last_how_many_days, **kwargs)
            return data

    def get_reviews_by_user_name_with_http_info(self, username, how_many_reviews, last_how_many_days, **kwargs):
        """
        Get X last reviews less than X days old of an account
        Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_with_http_info(username, how_many_reviews, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['username', 'how_many_reviews', 'last_how_many_days']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_user_name" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'username' is set
        if ('username' not in params) or (params['username'] is None):
            raise ValueError("Missing the required parameter `username` when calling `get_reviews_by_user_name`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_user_name`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_user_name`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'username' in params:
            query_params.append(('username', params['username']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByUserName', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_user_name_and_rating(self, username, how_many_reviews, last_how_many_days, minimum_ratings, **kwargs):
        """
        Get X last reviews that equal or over X stars of an account
        Get X last reviews that equal or over X stars (For example, last 50 reviews that are equal or over 4 stars)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_and_rating(username, how_many_reviews, last_how_many_days, minimum_ratings, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_user_name_and_rating_with_http_info(username, how_many_reviews, last_how_many_days, minimum_ratings, **kwargs)
        else:
            (data) = self.get_reviews_by_user_name_and_rating_with_http_info(username, how_many_reviews, last_how_many_days, minimum_ratings, **kwargs)
            return data

    def get_reviews_by_user_name_and_rating_with_http_info(self, username, how_many_reviews, last_how_many_days, minimum_ratings, **kwargs):
        """
        Get X last reviews that equal or over X stars of an account
        Get X last reviews that equal or over X stars (For example, last 50 reviews that are equal or over 4 stars)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_and_rating_with_http_info(username, how_many_reviews, last_how_many_days, minimum_ratings, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['username', 'how_many_reviews', 'last_how_many_days', 'minimum_ratings']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_user_name_and_rating" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'username' is set
        if ('username' not in params) or (params['username'] is None):
            raise ValueError("Missing the required parameter `username` when calling `get_reviews_by_user_name_and_rating`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_user_name_and_rating`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_user_name_and_rating`")
        # verify the required parameter 'minimum_ratings' is set
        if ('minimum_ratings' not in params) or (params['minimum_ratings'] is None):
            raise ValueError("Missing the required parameter `minimum_ratings` when calling `get_reviews_by_user_name_and_rating`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'username' in params:
            query_params.append(('username', params['username']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))
        if 'minimum_ratings' in params:
            query_params.append(('minimumRatings', params['minimum_ratings']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByUserNameAndRating', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_user_name_and_review_site(self, username, how_many_reviews, last_how_many_days, reviews_site, **kwargs):
        """
        Get X last reviews less than X days old of a review site of an account
        Get X last reviews less than X days old of a review site (For Example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_and_review_site(username, how_many_reviews, last_how_many_days, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_user_name_and_review_site_with_http_info(username, how_many_reviews, last_how_many_days, reviews_site, **kwargs)
        else:
            (data) = self.get_reviews_by_user_name_and_review_site_with_http_info(username, how_many_reviews, last_how_many_days, reviews_site, **kwargs)
            return data

    def get_reviews_by_user_name_and_review_site_with_http_info(self, username, how_many_reviews, last_how_many_days, reviews_site, **kwargs):
        """
        Get X last reviews less than X days old of a review site of an account
        Get X last reviews less than X days old of a review site (For Example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_and_review_site_with_http_info(username, how_many_reviews, last_how_many_days, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str last_how_many_days: How many days back (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['username', 'how_many_reviews', 'last_how_many_days', 'reviews_site']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_user_name_and_review_site" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'username' is set
        if ('username' not in params) or (params['username'] is None):
            raise ValueError("Missing the required parameter `username` when calling `get_reviews_by_user_name_and_review_site`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_user_name_and_review_site`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_reviews_by_user_name_and_review_site`")
        # verify the required parameter 'reviews_site' is set
        if ('reviews_site' not in params) or (params['reviews_site'] is None):
            raise ValueError("Missing the required parameter `reviews_site` when calling `get_reviews_by_user_name_and_review_site`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'username' in params:
            query_params.append(('username', params['username']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))
        if 'reviews_site' in params:
            query_params.append(('reviewsSite', params['reviews_site']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByUserNameAndReviewSite', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_reviews_by_user_name_rating_and_review_site(self, username, how_many_reviews, minimum_ratings, reviews_site, **kwargs):
        """
        Get X last reviews that equal or over X stars of a review site of an account
        Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_rating_and_review_site(username, how_many_reviews, minimum_ratings, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_reviews_by_user_name_rating_and_review_site_with_http_info(username, how_many_reviews, minimum_ratings, reviews_site, **kwargs)
        else:
            (data) = self.get_reviews_by_user_name_rating_and_review_site_with_http_info(username, how_many_reviews, minimum_ratings, reviews_site, **kwargs)
            return data

    def get_reviews_by_user_name_rating_and_review_site_with_http_info(self, username, how_many_reviews, minimum_ratings, reviews_site, **kwargs):
        """
        Get X last reviews that equal or over X stars of a review site of an account
        Get X last reviews that equal or over X stars of a review site (For example, Google reviews…)
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_reviews_by_user_name_rating_and_review_site_with_http_info(username, how_many_reviews, minimum_ratings, reviews_site, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str username: User Name or Email address (required)
        :param str how_many_reviews: How many reviews (required)
        :param str minimum_ratings: Minimum review rating (reviews that are equal or over minimumRatings stars) (required)
        :param str reviews_site: Review site name (required)
        :return: list[Review]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['username', 'how_many_reviews', 'minimum_ratings', 'reviews_site']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_reviews_by_user_name_rating_and_review_site" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'username' is set
        if ('username' not in params) or (params['username'] is None):
            raise ValueError("Missing the required parameter `username` when calling `get_reviews_by_user_name_rating_and_review_site`")
        # verify the required parameter 'how_many_reviews' is set
        if ('how_many_reviews' not in params) or (params['how_many_reviews'] is None):
            raise ValueError("Missing the required parameter `how_many_reviews` when calling `get_reviews_by_user_name_rating_and_review_site`")
        # verify the required parameter 'minimum_ratings' is set
        if ('minimum_ratings' not in params) or (params['minimum_ratings'] is None):
            raise ValueError("Missing the required parameter `minimum_ratings` when calling `get_reviews_by_user_name_rating_and_review_site`")
        # verify the required parameter 'reviews_site' is set
        if ('reviews_site' not in params) or (params['reviews_site'] is None):
            raise ValueError("Missing the required parameter `reviews_site` when calling `get_reviews_by_user_name_rating_and_review_site`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'username' in params:
            query_params.append(('username', params['username']))
        if 'how_many_reviews' in params:
            query_params.append(('howManyReviews', params['how_many_reviews']))
        if 'minimum_ratings' in params:
            query_params.append(('minimumRatings', params['minimum_ratings']))
        if 'reviews_site' in params:
            query_params.append(('reviewsSite', params['reviews_site']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getReviewsByUserNameRatingAndReviewSite', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[Review]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def post_comment_on_review(self, reviewid, commenttext, **kwargs):
        """
        Comment on a Feedback / Review
        This API call posts a Comment on a Feedback / Review. When posted, the Platform sends an Email to the Commenter / Reviewer with a copy of the posted Comment. NOTE: The Moderation Team receives a copy of the Email sent to the Commenter / Reviewer  The API call has the same effect as using the Reputation Control Center (URL: https://reputationcrm.com/reputation-control), locating in the datatable the Feedback / Review that will be commented, and clicking on the 'Comment on the Platform' button to leave a Comment  Please refer https://reputationcrm.com/api/repcrm-api-img/CommentOnReview.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.post_comment_on_review(reviewid, commenttext, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str reviewid: Review ID (required)
        :param str commenttext: Comment Text  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.post_comment_on_review_with_http_info(reviewid, commenttext, **kwargs)
        else:
            (data) = self.post_comment_on_review_with_http_info(reviewid, commenttext, **kwargs)
            return data

    def post_comment_on_review_with_http_info(self, reviewid, commenttext, **kwargs):
        """
        Comment on a Feedback / Review
        This API call posts a Comment on a Feedback / Review. When posted, the Platform sends an Email to the Commenter / Reviewer with a copy of the posted Comment. NOTE: The Moderation Team receives a copy of the Email sent to the Commenter / Reviewer  The API call has the same effect as using the Reputation Control Center (URL: https://reputationcrm.com/reputation-control), locating in the datatable the Feedback / Review that will be commented, and clicking on the 'Comment on the Platform' button to leave a Comment  Please refer https://reputationcrm.com/api/repcrm-api-img/CommentOnReview.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.post_comment_on_review_with_http_info(reviewid, commenttext, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str reviewid: Review ID (required)
        :param str commenttext: Comment Text  (required)
        :return: None
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['reviewid', 'commenttext']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method post_comment_on_review" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'reviewid' is set
        if ('reviewid' not in params) or (params['reviewid'] is None):
            raise ValueError("Missing the required parameter `reviewid` when calling `post_comment_on_review`")
        # verify the required parameter 'commenttext' is set
        if ('commenttext' not in params) or (params['commenttext'] is None):
            raise ValueError("Missing the required parameter `commenttext` when calling `post_comment_on_review`")


        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}
        if 'reviewid' in params:
            form_params.append(('reviewid', params['reviewid']))
        if 'commenttext' in params:
            form_params.append(('commenttext', params['commenttext']))

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/postCommentOnReview', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type=None,
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)
