# coding: utf-8

"""
    Reputation CRM API

    Move your app forward with the Reputation CRM API  To get your `API key`, visit [Reputation CRM](https://reputationcrm.com/settings/index/Reputation-Builder)  Your API Key can be found in Settings -> Reputation Builder -> Reputation Builder -> API Tab   [Download API SDK](https://reputationcrm.com/developers/documentation/v2/downloads)  [API Explorer](https://reputationcrm.com/developers/documentation/v2/explorer/) 

    OpenAPI spec version: 2.0.0
    Contact: support@reputationcrm.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class ReviewsStatsApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def get_number_of_reviews_posted_in_last_days_by_company_id(self, companyid, last_how_many_days, **kwargs):
        """
        Get total reviews received for each review site
        Get total reviews received for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_number_of_reviews_posted_in_last_days_by_company_id(companyid, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str last_how_many_days: Last how many days (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_number_of_reviews_posted_in_last_days_by_company_id_with_http_info(companyid, last_how_many_days, **kwargs)
        else:
            (data) = self.get_number_of_reviews_posted_in_last_days_by_company_id_with_http_info(companyid, last_how_many_days, **kwargs)
            return data

    def get_number_of_reviews_posted_in_last_days_by_company_id_with_http_info(self, companyid, last_how_many_days, **kwargs):
        """
        Get total reviews received for each review site
        Get total reviews received for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_number_of_reviews_posted_in_last_days_by_company_id_with_http_info(companyid, last_how_many_days, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :param str last_how_many_days: Last how many days (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid', 'last_how_many_days']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_number_of_reviews_posted_in_last_days_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_number_of_reviews_posted_in_last_days_by_company_id`")
        # verify the required parameter 'last_how_many_days' is set
        if ('last_how_many_days' not in params) or (params['last_how_many_days'] is None):
            raise ValueError("Missing the required parameter `last_how_many_days` when calling `get_number_of_reviews_posted_in_last_days_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))
        if 'last_how_many_days' in params:
            query_params.append(('lastHowManyDays', params['last_how_many_days']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getNumberOfReviewsPostedInLastDaysByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[ReviewSitesReviewCount]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_number_of_reviews_required_to_achieve5_star_by_company_id(self, companyid, **kwargs):
        """
        Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
        This API call returns for each Review Site of a Company / Location / Feedback Page, the total number of 5-star Feedback / Reviews that the Company / Location needs, to achieve a 5-star Customer Experience. (NOTE: Most Review Sites display a 5-star image when the Overall Rating of a Company / Location is above 4.51. We decided to work as they do and we display a 5-star image for any Overall Rating above 4.51). URL: https://reputationcrm.com/reputation-control    Please refer this image for more information   https://reputationcrm.com/api/repcrm-api-img/NumberOfReviewsRequiredToAchieve5Star.jpg 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_number_of_reviews_required_to_achieve5_star_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_number_of_reviews_required_to_achieve5_star_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_number_of_reviews_required_to_achieve5_star_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_number_of_reviews_required_to_achieve5_star_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
        This API call returns for each Review Site of a Company / Location / Feedback Page, the total number of 5-star Feedback / Reviews that the Company / Location needs, to achieve a 5-star Customer Experience. (NOTE: Most Review Sites display a 5-star image when the Overall Rating of a Company / Location is above 4.51. We decided to work as they do and we display a 5-star image for any Overall Rating above 4.51). URL: https://reputationcrm.com/reputation-control    Please refer this image for more information   https://reputationcrm.com/api/repcrm-api-img/NumberOfReviewsRequiredToAchieve5Star.jpg 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_number_of_reviews_required_to_achieve5_star_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_number_of_reviews_required_to_achieve5_star_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_number_of_reviews_required_to_achieve5_star_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getNumberOfReviewsRequiredToAchieve5StarByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[ReviewSitesReviewCount]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_overall_rating_and_review_count_for_platform_reviews_by_company_id(self, companyid, **kwargs):
        """
        Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
        Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews. The number (from 1.00 to 5.00) includes only platform collected reviews.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_and_review_count_for_platform_reviews_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[OverallRatingAndReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_overall_rating_and_review_count_for_platform_reviews_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_overall_rating_and_review_count_for_platform_reviews_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_overall_rating_and_review_count_for_platform_reviews_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
        Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews. The number (from 1.00 to 5.00) includes only platform collected reviews.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_and_review_count_for_platform_reviews_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[OverallRatingAndReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_overall_rating_and_review_count_for_platform_reviews_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_overall_rating_and_review_count_for_platform_reviews_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getOverallRatingAndReviewCountForPlatformReviewsByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[OverallRatingAndReviewCount]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_overall_rating_for_each_review_site_by_company_id(self, companyid, **kwargs):
        """
        Get overall rating for each review site
        Get overall rating for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_for_each_review_site_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesRating]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_overall_rating_for_each_review_site_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_overall_rating_for_each_review_site_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_overall_rating_for_each_review_site_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get overall rating for each review site
        Get overall rating for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_for_each_review_site_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesRating]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_overall_rating_for_each_review_site_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_overall_rating_for_each_review_site_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getOverallRatingForEachReviewSiteByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[ReviewSitesRating]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_overall_rating_of_company_by_company_id(self, companyid, **kwargs):
        """
        Get The Overall Rating of a Company / Location / Feedback Page 
        This API call returns the Overall Rating of a Company / Location / Feedback Page. The number (from 1.00 to 5.00) includes all Feedback / Reviews of a Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control    Please refer https://reputationcrm.com/api/repcrm-api-img/OverallCompanyRating.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_of_company_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[OverallCompanyRating]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_overall_rating_of_company_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_overall_rating_of_company_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_overall_rating_of_company_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get The Overall Rating of a Company / Location / Feedback Page 
        This API call returns the Overall Rating of a Company / Location / Feedback Page. The number (from 1.00 to 5.00) includes all Feedback / Reviews of a Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control    Please refer https://reputationcrm.com/api/repcrm-api-img/OverallCompanyRating.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_rating_of_company_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[OverallCompanyRating]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_overall_rating_of_company_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_overall_rating_of_company_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getOverallRatingOfCompanyByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[OverallCompanyRating]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_overall_reputation_change_of_all_review_sites_by_company_id(self, companyid, **kwargs):
        """
        Get the Overall Reputation Increase / Decrease of ALL Review Sites 
        This API call returns for each Review Site of a Company / Location / Feedback Page, the Overall Reputation Increase / Decrease of the last 30 days compared to the previous month (31-60 days). 0 means no change: most likely, no new Feedback / Reviews were posted in the past 60 days, or the same number of Feedback / Reviews were posted in the last 30 days compared to the last 31-60 days period. A negative percentage means that the Overall Reputation has suffered. Finally, a positive percentage means an improvement in the Overall Reputation of the Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control     Please refer https://reputationcrm.com/api/repcrm-api-img/ReputationChangeInTheLastMonth.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_reputation_change_of_all_review_sites_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReputationChange]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_overall_reputation_change_of_all_review_sites_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_overall_reputation_change_of_all_review_sites_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_overall_reputation_change_of_all_review_sites_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get the Overall Reputation Increase / Decrease of ALL Review Sites 
        This API call returns for each Review Site of a Company / Location / Feedback Page, the Overall Reputation Increase / Decrease of the last 30 days compared to the previous month (31-60 days). 0 means no change: most likely, no new Feedback / Reviews were posted in the past 60 days, or the same number of Feedback / Reviews were posted in the last 30 days compared to the last 31-60 days period. A negative percentage means that the Overall Reputation has suffered. Finally, a positive percentage means an improvement in the Overall Reputation of the Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control     Please refer https://reputationcrm.com/api/repcrm-api-img/ReputationChangeInTheLastMonth.jpg for more information 
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_overall_reputation_change_of_all_review_sites_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReputationChange]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_overall_reputation_change_of_all_review_sites_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_overall_reputation_change_of_all_review_sites_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getOverallReputationChangeOfAllReviewSitesByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[ReviewSitesReputationChange]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_total_reviews_received_for_each_review_site_by_company_id(self, companyid, **kwargs):
        """
        Get total reviews received for each review site
        Get total reviews received for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_total_reviews_received_for_each_review_site_by_company_id(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_total_reviews_received_for_each_review_site_by_company_id_with_http_info(companyid, **kwargs)
        else:
            (data) = self.get_total_reviews_received_for_each_review_site_by_company_id_with_http_info(companyid, **kwargs)
            return data

    def get_total_reviews_received_for_each_review_site_by_company_id_with_http_info(self, companyid, **kwargs):
        """
        Get total reviews received for each review site
        Get total reviews received for each review site
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_total_reviews_received_for_each_review_site_by_company_id_with_http_info(companyid, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str companyid: Company ID (required)
        :return: list[ReviewSitesReviewCount]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['companyid']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_total_reviews_received_for_each_review_site_by_company_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'companyid' is set
        if ('companyid' not in params) or (params['companyid'] is None):
            raise ValueError("Missing the required parameter `companyid` when calling `get_total_reviews_received_for_each_review_site_by_company_id`")


        collection_formats = {}

        path_params = {}

        query_params = []
        if 'companyid' in params:
            query_params.append(('companyid', params['companyid']))

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = ['api_key']

        return self.api_client.call_api('/getTotalReviewsReceivedForEachReviewSiteByCompanyId', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[ReviewSitesReviewCount]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)
